htmlbook.ru - настольная книга администратора

Файловый Архив

  • Неограниченное количество категорий и суб-категорий
  • Настройки прав доступа по группам
  • Настройки прав доступа по каждой категории
  • Предпросмотр медиа файлов: FLV, IFLV, F4A, F4V, MP4, MP3, MOV и других...
  • Мультизагрузка файлов - SWFUploader
  • Добавление файлов с сервера
Подробности и история обновлений продукта в этой теме
Loading

Go Back   форум vBSupport.org > >
Register Изображения Меню vBsupport Files Manager Аллея Звёзд Реклама на форуме Search Today's Posts Mark Forums Read
  • Мемберка
  • Администраторам
  • Premoderation
  • For English speaking users
  • Изменения в правах
  • Каталог Фрилансеров
Пароли на скачивание файлов в Member Area меняются автоматически каждый день
Если вам нужно скачать какой то скрипт, за паролем ко мне в ЛС
привет какирам kerk
Ещё раз обращаем Ваше внимание: всё, что Вы скачиваете и устанавливаете на свой форум, Вы устанавливаете исключительно на свой страх и риск.
Сообщество vBSupport'а физически не в состоянии проверять все стили, хаки и нули, выкладываемые пользователями.
Помните: безопасность Вашего проекта - Ваша забота.
Убедительная просьба: при обнаружении уязвимостей или сомнительных кодов обязательно отписывайтесь в теме хака/стиля
Спасибо за понимание
На форуме введена премодерация ВСЕХ новых пользователей

Почта с временных сервисов, типа mailinator.com, gawab.com и/или прочих, которые предоставляют временный почтовый ящик без регистрации и/или почтовый ящик для рассылки спама, отслеживается и блокируется, а так же заносится в спам-блок форума, аккаунты удаляются
for English speaking users:
You may be surprised with restriction of access to the attachments of the forum. The reason is the recent change in vbsupport.org strategy:

- users with reputation < 10 belong to "simple_users" users' group
- if your reputation > 10 then administrator (kerk, Luvilla) can decide to move you into an "improved" group, but only manually

Main idea is to increase motivation of community members to share their ideas and willingness to support to each other. You may write an article for the subject where you are good enough, you may answer questions, you may share vbulletin.com/org content with vbsupport.org users, receiving "thanks" equal your reputation points. We should not only consume, we should produce something.

- you may:
* increase your reputation (doing something useful for another members of community) and being improved
* purchase temporary access to the improved category:
10 $ for 3 months. - this group can download attachments, reputation/posts do not matter.
20 $ for 3 months. - this group can download attachments, reputation/posts do not matter + adds eliminated + Inbox capacity increased + files manager increased permissions.

Please contact kerk or Luvilla regarding payments.

Important!:
- if your reputation will become less then 0, you will be moved into "simple_users" users' group automatically.*
*for temporary groups (pre-paid for 3 months) reputation/posts do not matter.
Не можете скачать вложение?
Изменения в правах групп пользователей
внимательно читаем эту и эту темы
Короткая версия - тут
Уважаемые пользователи!

На форуме открыт новый раздел "Каталог фрилансеров"

и отдельный раздел для платных заказов "Куплю/Закажу"

 
 
Первый пост
Old  
ERT
Знаток
Default 0

Quote:
Originally Posted by netwind View Post
Я твое объяснение понял так : в обычной джумле, установленной на виртуальном хостинге нажимаешь кнопочку "Установить плагин" и при этом модифицируются настройки php и загружается zend optimizer и устанавливается как zend_extension.
но так не бывает, это из области фантастики.
Плагин так и называется zend optimizer. Пробовал Joomla и Jomsocial? Я неоднократно.
 
Bot
Yandex Bot Yandex Bot is online now
 
Join Date: 05.05.2005
Реклама на форуме А что у нас тут интересного? =)
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

ERT, ну плагин для джумлы можно назвать как угодно. zend optimizer от этого в php не появится.
под маркой zend выпускается еще куча разной фигни, так что ты мог спутать что-то.
 
Old  
ERT
Знаток
Default 0

Возможно. Может это Zend Framework.
Суть не в этом.
Quote:
Originally Posted by Gostemilov View Post
Вот только в этом PHP 5.3 до соответствующей мамы deprecated функций и, впридачу, на нем не работает и не будет работать ни при каких потугах ZendOptimizer.
Сегодня выходной был. Я завтра, на тестовой машине, поставлю Zend Optimizer для php 5.3.3. Специально для топик стартера.
Если у тебя до установки ZendOptimizer'a были установлены всякие акселераторы php (xCache и т.д.), то ничего не выйдет. ZendOptimizer нужно ставить до установки акселераторов.
 
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

Quote:
Originally Posted by ERT View Post
Если у тебя до установки ZendOptimizer'a были установлены всякие акселераторы php (xCache и т.д.), то ничего не выйдет. ZendOptimizer нужно ставить до установки акселераторов.
давай еще раз :
zend optimizer будет работать, только другой новой версии. Может он там называется иначе. Но эта версия не понимает старых закодированных скриптов.

И еще, на самом деле можно поставить xcache вместе с zendoptimizer.
 
Old  
ERT
Знаток
Default 0

Так топик стартер написал, что его просто нет для PHP 5.3.3, а не то что он работать не будет со старыми скриптами. Или я его не правильно понял?
Что имеется в виду под старыми скриптами? Какая линейка vBulletin? Или что-то другое? Я не пробовал установку движка vBulletin ниже 3.8.6, но на тестовой машине, сколько я не ставил всяких разных хаков, проблем не возникало ни с чем вообще. Хотелось бы посмотреть, с чем могут возникнуть проблемы.
 
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

ERT, Ну да, zend optimizer-а нет. Формально, как программного продукта, его для php 5.3 не существует. для php 5.3 аналогичный пакет теперь называется Zend Guard Loader.
В php5.3 внутреннее представление скриптов сменилось настолько, что запуск закодированных ( на самом деле откомпилированных в некий байт-код, шифрования там по сути нет) оказалось сделать настолько сложно, что его не сделали.
Он же написал, cтарые скрипты это sypex dumper и прочее краденое vbseo, где весь или части скрипта закодированы.

Quote:
Originally Posted by из википедии
Zend Guard (ранее назывался Zend Encoder) — позволяет закодировать скрипт в байт-код, который потом можно использовать точно также как и обычный, за исключением возможности его отредактировать. Предназначено для защиты интересов и интеллектуальной собственности разработчика. Для работы таких скриптов обязательно нужен Zend Optimizer.
 
Old  
ERT
Знаток
Default 0

Может я чего не понял до конца. Вот информация о PHP моего тестового сервера:
Code:
root@testserver:~# php -v
PHP 5.3.3-7+squeeze3 with Suhosin-Patch (cli) (built: Jun 28 2011 13:13:26)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
    with XCache v1.3.0, Copyright (c) 2005-2009, by mOo
    with Suhosin v0.9.32.1, Copyright (c) 2007-2010, by SektionEins GmbH
Только что поставил Zend Optimizer.
 
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

и где ты видишь там надпись Zend Optimizer ? там zend engine.
В php 5.2 это выглядит, например, так :
Quote:
PHP 5.2.6-2ubuntu4.6 with Suhosin-Patch 0.9.6.2 (cli) (built: Jan 6 2010 22:19:42)
Copyright (c) 1997-2008 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies
with Zend Extension Manager v1.2.2, Copyright (c) 2003-2007, by Zend Technologies
with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies
 
Old  
ERT
Знаток
Default 0

Ок. А вот так?
Code:
root@testserver:~# php -v
PHP 5.3.3-7+squeeze3 with Suhosin-Patch (cli) (built: Jun 28 2011 13:13:26)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
    with Zend Optimizer+ v4.1, Copyright (c) 1999-2010, by Zend Technologies
    with XCache v1.3.0, Copyright (c) 2005-2009, by mOo
    with Suhosin v0.9.32.1, Copyright (c) 2007-2010, by SektionEins GmbH
 
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

ERT, хочешь чтобы я тебя похвалил? хорошо. ты молодец!
Что это доказывает? На сайте продукт официально все равно называется Zend Guard Loader. Никакого zend optimizer для php 5.3 нет.
 
 

Tags
debian, downgrade, lenny, php, squeeze

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT +4. The time now is 04:32 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd.